Subject: Re: launching GUI programs via command-line ssh
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jan 2004 23:02:17 -0800

Andrew DeFaria wrote:
> 
> DAVID SPEAR wrote:
> 
> > I have been searching for a way to use "su" on my Win2K machine...
> > from the reading I've done in this group the easiest way is to run ssh
> > and log in as  Administrator. An excellent solution, and one that
> > works for me. I am curious
> > as to how I might launch a Windows application from my root ssh
> > command line to display within my non-priveleged-user Win2K login session.
> >
> > I guess I'm looking for the Windows equivilant of the X environment
> > commands:
> >
> > unixhost% xhost +Administrator
> > unixhost% setenv DISPLAY localhost:0.0
> >
> > so that if I wanted to run, say, the Event Viewer as root it would
> > display it  within my current logon session.
> 
> My understanding is that this cannot be done. MS Windows is NOT a
> network aware windowing system like X.

Well, it is, but you have to pay for Terminal Services if you want that
capability.

Honestly, if you want to run native windows apps remotely just get one
of the VNC flavors such as TightVNC (see sourceforge.)  But it's safe to
say that native Windows apps have absolutely nothing to do with X11, and
trying to force them into that mould will not work.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/